#from pathlib import Path
#work_dir = Path('/path/to/some/logical/parent/dir')

"""
Координаты сентрального кадра, к которому будут
приводиться изображения всех списков событий
"""
ra_cen=194.9601418
de_cen=27.6857267

"""
Словарь камер со списком наблюдений каждой камеры.
Номера камер должны быть отсортированы
"""
keylist_tm={'1':['tm1_scan1','tm1_scan2','tm1_scan3','tm1_scan4','tm1_scan5','tm1_scan6','tm1_scan7','tm1_survey'],
            '2':['tm2_scan1','tm2_scan2','tm2_scan3','tm2_scan4','tm2_scan5','tm2_scan6','tm2_scan7','tm2_survey'],
            '3':['tm3_scan1','tm3_scan2','tm3_scan3','tm3_scan4','tm3_scan5','tm3_scan6','tm3_scan7','tm3_survey'],
            '4':['tm4_scan1','tm4_scan2','tm4_scan3','tm4_scan4','tm4_scan5','tm4_scan6','tm4_scan7','tm4_survey'],
            '5':['tm5_scan1','tm5_scan2','tm5_scan3','tm5_scan4','tm5_scan5','tm5_scan6','tm5_scan7','tm5_survey'],
            '6':['tm6_scan1','tm6_scan2','tm6_scan3','tm6_scan4','tm6_scan5','tm6_scan6','tm6_scan7','tm6_survey'],
            '7':['tm7_scan1','tm7_scan2','tm7_scan3','tm7_scan4','tm7_scan5','tm7_scan6','tm7_scan7','tm7_survey'],}

"""
Примерные центры изображений каждого наблюдения.
Требуется для астрокоррекции. Будет расчитываться матрица сдвигов и поворотов,
так вот, повороты будут проводиться вокруг данных координат.
"""
wcslist={'tm1_obs_1':[34.7279760,-5.0680267],
         'tm5_obs_1':[34.7351248,-4.4407314],
         'tm5_obs_2':[34.8748997,-4.4871658],
         'tm7_obs_1':[35.0015120,-4.7602124],
         'tm7_obs_2':[34.9810029,-4.5915912],
         'tm6_obs_1':[34.4227062,-4.7207170],
         'tm6_obs_2_badpix':[34.7272339,-4.4294153],
         'tm6_obs_3_badpix':[34.8750291,-4.4708468],
         'tm6_park_1':[35.0544951,-4.0613619],
         'tm6_park_2':[35.0558675,-4.0683084],
         'tm6_park_3':[35.0565263,-4.0583538],
         'tm6_park_4':[35.0602986,-4.0622220],
         'tm6_scan_1':[34.5405596,-4.8088748],
         'tm6_scan_2':[34.5405596,-4.8088748],
         'tm6_scan_3':[34.5405596,-4.8088748],
         'tm6_scan_4':[34.5405596,-4.8088748]}

""" like in the paper (Table 1) """
obslist={'tm1_obs_1':'N01',
         'tm5_obs_1':'N02',
         'tm5_obs_2':'N03',
         'tm7_obs_1':'N15',
         'tm7_obs_2':'N16',
         'tm6_obs_1':'N12',
         'tm6_obs_2_badpix':'N13',
         'tm6_obs_3_badpix':'N14',
         'tm6_park_1':'N04',
         'tm6_park_2':'N06',
         'tm6_park_3':'N08',
         'tm6_park_4':'N10',
         'tm6_scan_1':'N05',
         'tm6_scan_2':'N07',
         'tm6_scan_3':'N09',
         'tm6_scan_4':'N11'}

""" Это просто индекс диапазона для выходных файлов. """
eband=[   "0", "1",  "2",  "3",   "4", "5",  "6", "7", "8"]
""" Диапазоны энергий. """
emin_ev=[ 300, 300,  600, 2300,   200, 300, 5000,  500, 1000]
emax_ev=[2300, 600, 2300, 5000, 10000,8000, 8000, 1000, 2000]

emin_kev=[0.3, 0.3,  0.6,  2.3,   0.2, 0.3, 5.0, 0.5, 1.0]
emax_kev=[2.3, 0.6,  2.3,  5.0,  10.0, 8.0, 8.0, 1.0, 2.0]

#ecf = [   1.0, 1.0,  1.0,  1.0,  1.0,  1.0]
# something is wrong here
#ecf = [9.7817E+11, 3.2982E+12,  1.3903E+12,  2.3322E+12,  5.2022E+11,  5.8453E+11, 3.8468E+12]
"""
*** en0 ecf 9.7817E+11 +/- 2.4606E+10 2.52% N=17
*** en1 ecf 3.2982E+12 +/- 8.2963E+10 2.52% N=17
*** en2 ecf 1.3903E+12 +/- 3.5036E+10 2.52% N=17
*** en3 ecf 2.3322E+12 +/- 5.8717E+10 2.52% N=17
*** en4 ecf 5.2022E+11 +/- 1.3110E+10 2.52% N=17
*** en5 ecf 5.8453E+11 +/- 1.4743E+10 2.52% N=17
"""

# finally use Pavel's file ../data/ECF/ecf_tbabspow_g2nh0.02.pkl
"""
for e in [(0.3, 2.3), (0.3, 0.6), (0.6, 2.3), (2.3, 5.0), (5.0, 8.0)]:
    print(f'{ecf[e]:g}')
"""
ecf = [1.0911e+12,  # (0.3, 2.3)
       1.07252e+12, # (0.3, 0.6)
       1.08963e+12, # (0.6, 2.3)
       1.14674e+11, # (2.3, 5.0)
       1.0,
       1.0,
       2.77581e+10, # (5.0, 8.0)
       1354632916123.6191, # (0.5, 1.0) 4XMM-DR12 EP2 band
       1014764099304.4968] # (1.0, 2.0) 4XMM-DR12 EP3 band


outfile_post='.fits'

"""
Pavel Medvedev:
0.3-2.3: 9.135819435325375e-13
0.3-0.6: 9.160477830652834e-13
0.6-2.3: 9.201664167869427e-13
2.3-5.0: 8.721504826794627e-12
"""
